%define product         ExtendedPathIndex
%define ver             2.3
%define rel             2

%define zope_minver     2.7

%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python


Summary:        ExtendedPathIndex
Name:           zope-%{product}
Version:        %{ver}
Release:        %mkrel %{rel}
License:        GPL
Group:          System/Servers
Source:         http://plone.org/products/extendedpathindex/releases/%{version}/ExtendedPathIndex-%{version}.tar.bz2
URL:            http://plone.org/products/extendedpathindex
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       zope >= %{zope_minver}
Requires:       zope-Archetypes


%description
 This is an index that supports depth limiting, and the ability to build a
structure usable for navtrees and sitemaps. The actual navtree implementations
are not (and should not) be in this Product, this is the index implementation
only.



%prep
%setup -c -q

rm -rf `find -type d -name .svn`

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*



%changelog
* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 14:33:52 (53917)
- Fix  rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 10:58:40 (42758)
Import zope-ExtendedPathIndex

* Sat Mar 04 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.3-1mdk
- 2.3

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2-1mdk
- initial package

